/*  */

/* Load REXXUTIL */
Call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
Signal on Syntax Name LoadCheck
Call SysLoadFuncs
LoadCheck: /* rc of 43 means REXXUTILs not found */
If rc=43 Then Do
   Say ''
   Say 'ERROR: Not able to load REXXUTILs. Perhaps REXX not installed or'
   Say '       REXXUTIL.DLL not found in a LIBPATH drive/directory.'
   Exit
End
Signal off Syntax

/* All of the routines pass parameters to a subroutine to perform the call */
classname='WPFolder'
title    ='IRC/2'
location ='<WP_DESKTOP>'
setup    ='OBJECTID=<IRC2_FOLDER>;'
Call BldObj

Call SysSetObjectData '<IRC2_FOLDER>', 'OPEN=DEFAULT;'

Def_home=directory()

classname='WPProgram'
title    ='IRC/2'
location ='<IRC2_FOLDER>'
setup    ='OBJECTID=<IRC2_EXE>;EXENAME='def_home'\IRC.CMD;PROGTYPE=WINDOWABLEVIO;startupdir='Def_Home
Call BldObj

classname='WPProgram'
title    ='IRC/2 Readme 1st'
location ='<IRC2_FOLDER>'
setup    ='OBJECTID=<IRC2_README>;EXENAME=E.EXE;PROGTYPE=PM;PARAMETERS=README.1ST;startupdir='Def_Home
Call BldObj

classname='WPProgram'
title    ='IRC/2 Setup'
location ='<IRC2_FOLDER>'
setup    ='OBJECTID=<IRC2_SETUP>;EXENAME='Def_home'\SETUP.EXE;PROGTYPE=PM;startupdir='Def_Home
Call BldObj

classname='WPProgram'
title    ='IRC/2 User Manual'
location ='<IRC2_FOLDER>'
setup    ='OBJECTID=<IRC2_INF>;EXENAME=VIEW.EXE;PROGTYPE=PM;PARAMETERS=IRC2.INF;startupdir='Def_Home'\DOCS'
Call BldObj

classname='WPProgram'
title    ='IRC/2 Registration'
location ='<IRC2_FOLDER>'
setup    ='OBJECTID=<IRC2_REGISTER>;EXENAME=E.EXE;PROGTYPE=PM;PARAMETERS=REGISTER.TXT;startupdir='Def_Home

if stream('REGISTER.TXT', 'C', 'QUERY EXISTS') \= "" then
   Call BldObj

rc = SysDestroyObject('<IRC2_CUSTOM')

Call Exiter

Exiter:
Call SysDropFuncs
Exit

/* Build Object */
BldObj:
call charout ,'Building: 'title

/* Build object using UPDATEIFEXIST as duplicateflag */
result = SysCreateObject(classname, title, location, setup, 'U')

If result=1 Then call charout ,'...   Object created!'
Else             call charout ,'...   Not created! Return code='result

Say '';
Return
